{
    num: -32188,
    accuracy: 100,
    basePower: 80,
    category: "Physical",
    name: "Pitcher Planter",
    pp: 10,
    priority: 0,
    flags: { protect: 1, reflectable: 1, mirror: 1, bullet: 1 },
    onHit(target, source) {
      if (target.hasType("Grass"))
        return null;
      if (target && ["raindance", "primordialsea"].includes(target.effectiveWeather())) {
        target.addVolatile("leechseed", source);
      }
    },
    secondary: null,
    target: "normal",
    type: "Grass",
    contestType: "Clever"
}